from rest_framework import pagination


class ResultSetPagination(pagination.PageNumberPagination):
    page_size_query_param = "count"
    max_page_size = 50
    page_size = 30


class LargeResultSetPagination(ResultSetPagination):
    max_page_size = 100
    page_size = 50


class CursorPagination(pagination.CursorPagination):
    page_size_query_param = "count"
    ordering = "-publication_date"
    page_size = 30
